<?php

/*

Timetable, configuration file
Copyright (C) 2004 Ari Takku

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

*/

// ******* MODIFY THESE *******


//
// LANGUAGE
//

// Desired language. FI for Finnish, EN for English
$GLOBALS['LANGUAGE'] = "EN"; 



//
// AUTHENTICATION
//

// Username and password for modify page
$GLOBALS['USERNAME'] = "username";
$GLOBALS['PASSWD'] = "sekritpassword";



// 
// ENABLED PARTS
//

// Which parts are shown in Timetable

// false to disable, true to enable
$GLOBALS['ENABLE_TIMETABLE'] = true;
$GLOBALS['ENABLE_HOMEPAGES'] = true;
$GLOBALS['ENABLE_DEADLINES'] = true;



//
// DATA DIRECTORY
//

// Timetable currently saves all information in a 
// separate files that are located in the data directory.
// Absolute path to the data directory is given here.

// NB: Remember to make sure that given directory 
// has sufficient permissions

$GLOBALS['PATH'] = "/home/takkua/files/";

// File names for storing data
$GLOBALS['FILE_TIMETABLE'] = "timetable.txt";
$GLOBALS['FILE_HOMEPAGE'] = "homepages.txt";
$GLOBALS['FILE_DEADLINE'] = "deadlines.txt";



//
// URLS FOR TIMETABLE
//

// URL for the timetable
$GLOBALS['URL'] = "http://localhost/timetable/";

// URL for modifying the timetable
$GLOBALS['URL_MODIFY'] = "http://localhost/timetable/modify/";


//
// HOURS TO TIMETABLE
//

$GLOBALS['HOURS_START'] = 8;
$GLOBALS['HOURS_END'] = 16;






// ********************************************************
// ************* Do not edit beyond this line *************
// ********************************************************


require_once("localization.php");

// if you want that anybody can modify your information, delete it,
// or just fill your hd with crap, then you can uncomment the line below
//$GLOBALS['DISABLE_AUTHENTICATION'] = "IReallyKnowWhatIamDoing";

// working week 
$GLOBALS['DAYS_OF_WORKING_WEEK'] = 
array(localize("MONDAY"), 
      localize("TUESDAY"), 
      localize("WEDNESDAY"), 
      localize("THURSDAY"), 
      localize("FRIDAY")
      );

// Set the paths 
$GLOBALS['FILE_TIMETABLE'] = $GLOBALS['PATH'].$GLOBALS['FILE_TIMETABLE'];
$GLOBALS['FILE_HOMEPAGE'] = $GLOBALS['PATH'].$GLOBALS['FILE_HOMEPAGE'];
$GLOBALS['FILE_DEADLINE'] = $GLOBALS['PATH'].$GLOBALS['FILE_DEADLINE'];


// hours per day to be included in the timetable
$GLOBALS['HOURS_PER_DAY'] = $GLOBALS['HOURS_END'] - $GLOBALS['HOURS_START'];

$GLOBALS['SEPARATOR_ONE'] = "<VERTICAL>";
$GLOBALS['SEPARATOR_TWO'] = "<HORIZONTAL>";
$GLOBALS['HOMEPAGE_SEPARATOR'] = "<HOMEPAGE>";
$GLOBALS['DEADLINE_SEPARATOR'] = "<DEADLINE>";


// some sanity checks


// files what should be checked
$tt_files = array($GLOBALS['FILE_TIMETABLE'],
		  $GLOBALS['FILE_HOMEPAGE'],
		  $GLOBALS['FILE_DEADLINE'] );
$tt_used = array($GLOBALS['ENABLE_TIMETABLE'],
		 $GLOBALS['ENABLE_HOMEPAGES'],
		 $GLOBALS['ENABLE_DEADLINES']);

// does the files -directory exist
if ( !file_exists($GLOBALS['PATH']) )
{
  die(localizeError("CONF_ERROR_NO_FILES_DIR"));
}
// directory's permissions
else if (!(is_writable($GLOBALS['PATH']) and 
	   is_readable($GLOBALS['PATH'])))
{
  die(localizeError("CONF_ERROR_NO_PERMISSION_TO_DIR"));  
}

// check the permissions for files

for ($i = 0; $i < count($tt_files); $i++)
{
  // if not used, not checking
  if ( !$tt_used[$i]) 
  {
    continue;
  }
 
 $f = $tt_files[$i];

 // if file does not exist, it's ok
 if ( !file_exists($f) )
 {
   // creating files
   $fp = fopen("$f", "a+");
   fclose($fp);


   // if insufficient permissions
   if ( !(is_writable($f) and is_readable($f)) )
   {
     die(localizeError("CONF_ERROR_NO_PERMISSION_TO_DIR"));
   }

   continue;
 }

 // if insufficient permissions
 if ( !(is_writable($f) and is_readable($f)) )
 {
   die(localizeError("CONF_ERROR_NO_PERMISSION_TO_FILES"));
 }
}


?>
