<?php

/*

Timetable, functions for managing homepages
Copyright (C) 2004 Ari Takku

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


// function that sorts homepages
function homepageSort($a, $b)
{
  $sep = $GLOBALS['HOMEPAGE_SEPARATOR'];

  $arr1 = explode($sep, $a);
  $arr2 = explode($sep, $b);
  
  $v1 = $arr1[1];
  $v2 = $arr2[1];

  if ($v1 < $v2)
    return -1;
  else if ($v1 > $v2)
    return 1;
  else
    return 0;
}

// returns the homepage data in array, that has arrays that has url and name
// [0] => array()
//           [0] => URL1, [1] = NAME1
// [1] => array() ...
function fetchHomepageData()
{
  $homepages = file($GLOBALS['FILE_HOMEPAGE']);
  usort($homepages, "homepageSort");

  $arr = array();

  $sep = $GLOBALS['HOMEPAGE_SEPARATOR'];
  for ($i = 0; $i < count($homepages); $i++)
  {
    $n = explode($sep, $homepages[$i]);
    
    array_push($arr, 
	       array(trim(strip_tags($n[0])), 
		     trim(strip_tags($n[1]))));

  }
  
  return $arr;
}



function printHPWidget($id, $url, $name, $modify)
{
  print("\n<tr>\n");  

  if ( $modify )
  {
    print('
<td class="url">
   <input type="text" name="hp_url_'.$id.'" value="'.$url.'" />
</td>
<td class="name">
   <input type="text" name="hp_name_'.$id.'" value="'.$name.'" />
</td>
');
  }
  else
  {
    print('
<td class="homepage"><a href="'.$url.'">'.$name.'</a></td>
');
  }

  print("\n</tr>\n");
}

// prints the homepages
// data is the data from where homepages are made
// modify true => data is shown in input widget, else in normal cell
function printHomepages($modify)
{
  $data = fetchHomepageData();
  
  $sep = $GLOBALS['HOMEPAGE_SEPARATOR'];


  if ($modify)
  {
    print('<form action="homepage_formhandler.php" method="post">'."\n"); 
  }

  print ('<div class="hp">'."\n");
  print('<table cellspacing="0" cellpadding="0" class="homepages">'."\n");

  if ($modify)
  {
    print('
   <tr>
      <th>URL</th>
      <th>Name</th>
   </tr>
');
  }

  for ($i = 0; $i < count($data); $i++)
  {
    $n = $data[$i];
    
    printHPWidget($i, $n[0], $n[1], $modify);

  }

  // bottommost cell is used to add new homepages
  if ($modify)
  {
    printHPWidget(count($data) + 1, "", "", true);
  }
  print('</table>'."\n");

  if ( $modify )
  {
    print('<div class="hp_tip">'.localize("HOMEPAGE_TIP").'</div>');
  }

  print("</div>\n");

  if ($modify)
  {
    print("<p>\n".'<input type="submit" name="homepage_save" value="'.
	  localize("SAVE_HOMEPAGE").'" />'."\n</p>\n");
    print("</form>\n");
  }
}



?>
