<?php

/*

Timetable, functions for common use
Copyright (C) 2004 Ari Takku

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


function printHeader($title, $css = "timetable.css")
{
print('
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" 
   			"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fi">
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
 <meta http-equiv="Content-Language" content="fi" />
 <meta name="Author" content="Ari Takku" />
 <meta name="Description" content="'.$title.'" />
 <meta name="Robots" content="index,nofollow" />
<title>'.$title.'</title>
<link rel="shortcut icon" href="timetable.png" />
<link rel="stylesheet" type="text/css" href="'.$css.'" />
</head>

<!--
   Most recent version of this software can be downloaded from

     http://kooditakomo.cs.tut.fi/projects/timetable/
-->

');
}

// build an array that has all hours listed
// ([0] => "08-09", [1] => "09-10", [2] => "10-11", etc...)
function buildTimeArray()
{
  $arr = array();

  for ($i = $GLOBALS['HOURS_START']; $i < $GLOBALS['HOURS_END']; $i++)
  {
    $n = $i + 1;
    
    // for the sake of consistency, add the leading zero
    $tmp_start = (strlen($i."") == 1) ? "0".$i : "".$i;
    $tmp_end = (strlen($n."") == 1) ? "0".$n : "".$n;
    

    array_push($arr, $tmp_start."-".$tmp_end);
  }

  return $arr;
}

// builds a select-option item to form.

// name = select element's name in form
// builded option elements valuea begins at the begin, and ends in end
// checked value is checked from the list
function printSelectWidget($name, $begin, $end, $checked)
{
  
  if ( $checked < 10 and strlen($checked) < 2) 
  {    
    $checked = "0".$checked;
  }
  
  print ("<select name=\"$name\">\n");

  for ($i = $begin; $i < $end; $i++)
  {
    if ( $i < 10 )
    {
      $i = "0".$i;
    }

    $i = "".$i;

    $s = "";
    if ( $i === $checked )
    {
      $s = " selected=\"selected\"";
    }
    print("<option value=\"$i\"$s>$i</option>\n");
  }

  print ("</select>\n");
}

?>
